Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 602626 (CVE-2016-9911) - <app-emulation/qemu-2.8.0: usb: ehci: memory leakage in ehci_init_transfer (CVE-2016-9911)
Summary: <app-emulation/qemu-2.8.0: usb: ehci: memory leakage in ehci_init_transfer (C...
Status: RESOLVED FIXED
Alias: CVE-2016-9911
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: http://git.qemu.org/?p=qemu.git;a=com...
Whiteboard: B4 [glsa cve]
Keywords:
Depends on: CVE-2016-9907 604010
Blocks:
  Show dependency tree
 
Reported: 2016-12-14 10:39 UTC by Agostino Sarubbo
Modified: 2017-01-23 03:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-12-14 10:39:44 UTC
From ${URL} :

Quick Emulator(Qemu) built with the USB EHCI Emulation support is vulnerable 
to a memory leakage issue. It could occur while processing packet data in 
'ehci_init_transfer'.

A guest user/process could use this issue to leak host memory, resulting in 
DoS for a host.

Upstream patch:
---------------
   -> http://git.qemu.org/?p=qemu.git;a=commitdiff;h=791f97758e223de3290592d169f



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 SpanKY gentoo-dev 2016-12-29 19:35:58 UTC
this is in the 2.8.0 release
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-01-01 19:01:57 UTC
Stabilization will be happen as part of bug 601824.
Comment 3 Thomas Deutschmann gentoo-dev Security 2017-01-21 22:45:38 UTC
Added to an existing GLSA request.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2017-01-23 03:07:30 UTC
This issue was resolved and addressed in
 GLSA 201701-49 at https://security.gentoo.org/glsa/201701-49
by GLSA coordinator Aaron Bauman (b-man).